The BOOST_PP_FRAME_FINISH macro expands to the upper bound of an absolute file-iteration depth.

#### Usage

BOOST_PP_FRAME_FINISH(i)

#### Arguments

i
  The absolute depth of the frame whose upper bound is to be retreived. Valid values range from 1 to BOOST_PP_ITERATION_DEPTH().

#### Remarks

This macro is only valid when a file-iteration is in progress.

#### Requirements

Header: <boost/preprocessor/iteration/iterate.hpp>